//::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
//
//        This file is part of E-Cell Simulation Environment package
//
//                Copyright (C) 2003 Keio University
//
//::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
//
//
// E-Cell is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
// 
// E-Cell is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public
// License along with E-Cell -- see the file COPYING.
// If not, write to the Free Software Foundation, Inc.,
// 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// 
//END_HEADER
//
// authors:
// Kouichi Takahashi <shafi@e-cell.org>
// Nayuta Iwata
//
// E-Cell Project, Institute for Advanced Biosciences, Keio University.
//

#include "PythonProcess.hpp"


USE_LIBECS;

LIBECS_DM_INIT( PythonProcess, Process );


void PythonProcess::initialize()
{ 
  PythonProcessBase::initialize();

  python::handle<> a( PyEval_EvalCode( (PyCodeObject*)
  				       theCompiledInitializeMethod.ptr(),
  				       theGlobalNamespace.ptr(), 
  				       theLocalNamespace.ptr() ) );
}

void PythonProcess::fire()
{
  python::handle<> a( PyEval_EvalCode( (PyCodeObject*)
				       theCompiledFireMethod.ptr(),
				       theGlobalNamespace.ptr(), 
				       theLocalNamespace.ptr() ) );
}



